## RygelContentDirectory

RygelContentDirectory — Basic implementation of UPnP ContentDirectory service version 2. Most often plugins will provide a child of this class. The inheriting classes should override create_root_container method.

## Functions

RygelContentDirectory * | rygel_content_directory_new ()

## Types and Values

#define | RYGEL_TYPE_CONTENT_DIRECTORY
#define | RYGEL_CONTENT_DIRECTORY_UPNP_ID
#define | RYGEL_CONTENT_DIRECTORY_UPNP_TYPE
#define | RYGEL_CONTENT_DIRECTORY_UPNP_TYPE_V1
#define | RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH
#define | RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH_NO_TRACK
struct | RygelContentDirectory
struct | RygelContentDirectoryClass

## Object Hierarchy

        GObject
        ╰── GUPnPServiceInfo
            ╰── GUPnPService
                ╰── RygelContentDirectory

## Description

## Functions

### rygel_content_directory_new ()

    RygelContentDirectory *
    rygel_content_directory_new (void);

## Types and Values

### RYGEL_TYPE_CONTENT_DIRECTORY

    #define RYGEL_TYPE_CONTENT_DIRECTORY (rygel_content_directory_get_type ())

The type for RygelContentDirectory.

### RYGEL_CONTENT_DIRECTORY_UPNP_ID

    #define RYGEL_CONTENT_DIRECTORY_UPNP_ID "urn:upnp-org:serviceId:ContentDirectory"

### RYGEL_CONTENT_DIRECTORY_UPNP_TYPE

    #define RYGEL_CONTENT_DIRECTORY_UPNP_TYPE "urn:schemas-upnp-org:service:ContentDirectory:3"

### RYGEL_CONTENT_DIRECTORY_UPNP_TYPE_V1

    #define RYGEL_CONTENT_DIRECTORY_UPNP_TYPE_V1 "urn:schemas-upnp-org:service:ContentDirectory:1"

### RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH

    #define RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH "xml/ContentDirectory.xml"

### RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH_NO_TRACK

    #define RYGEL_CONTENT_DIRECTORY_DESCRIPTION_PATH_NO_TRACK "xml/ContentDirectory-NoTrack.xml"

### struct RygelContentDirectory

    struct RygelContentDirectory;

Basic implementation of UPnP ContentDirectory service version 2. Most often plugins will provide a child of this class. The inheriting classes should override create_root_container method.

### struct RygelContentDirectoryClass

    struct RygelContentDirectoryClass {
    	GUPnPServiceClass parent_class;
    };

The class structure for `RYGEL_TYPE_CONTENT_DIRECTORY`. All the fields in this structure are private and should never be accessed directly.

#### Members